CVE-2021-33391

NameCVE-2021-33391
DescriptionAn issue in HTACG HTML Tidy v5.7.28 allows attacker to execute arbitrary code via the -g option of the CleanNode() function in gdoc.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1032665

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tidy-html5 (PTS)buster2:5.6.0-10vulnerable
bookworm, bullseye, sid, trixie2:5.6.0-11vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tidy-html5source(unstable)(unfixed)1032665

Notes

[bookworm] - tidy-html5 <no-dsa> (Minor issue)
[bullseye] - tidy-html5 <no-dsa> (Minor issue)
[buster] - tidy-html5 <no-dsa> (Minor issue)
https://github.com/htacg/tidy-html5/issues/946
https://github.com/htacg/tidy-html5/commit/efa61528aa500a1efbd2768121820742d3bb709b

Search for package or bug name: Reporting problems